PointWiseDescBuilder_v8

## Functions

auto | cudnn_frontend::PointWiseDescBuilder_v8::setMathPrecision (cudnnDataType_t data_type_) -> PointWiseDescBuilder_v8 &
| Set Math Precision Data Type for the Convolution Operation. More...
auto | cudnn_frontend::PointWiseDescBuilder_v8::setClipping (double l, double u) -> PointWiseDescBuilder_v8 &
| Set upper and lower limits for the RELU activation. More...
auto | cudnn_frontend::PointWiseDescBuilder_v8::setMode (cudnnPointwiseMode_t mode_) -> PointWiseDescBuilder_v8 &
| Set pointwise mode for the activation. More...
auto | cudnn_frontend::PointWiseDescBuilder_v8::setMode (cudnnNanPropagation_t nan_mode_) -> PointWiseDescBuilder_v8 &
| Set NaN propagation mode. More...

## Detailed Description

Set individual property of PointWiseDesc_v8 class

## Function Documentation

## setClipping()

auto cudnn_frontend::PointWiseDescBuilder_v8::setClipping | ( | double | l,
|  | double | u
| ) |  | -> PointWiseDescBuilder_v8 &

inline

Set upper and lower limits for the RELU activation.

Definition at line 167 of file cudnn_frontend_PointWiseDesc.h.

## setMathPrecision()

auto cudnn_frontend::PointWiseDescBuilder_v8::setMathPrecision | ( | cudnnDataType_t | data_type_ | ) | -> PointWiseDescBuilder_v8 &

inline

Set Math Precision Data Type for the Convolution Operation.

Definition at line 161 of file cudnn_frontend_PointWiseDesc.h.

## setMode() [1/2]

auto cudnn_frontend::PointWiseDescBuilder_v8::setMode | ( | cudnnPointwiseMode_t | mode_ | ) | -> PointWiseDescBuilder_v8 &

inline

Set pointwise mode for the activation.

Definition at line 174 of file cudnn_frontend_PointWiseDesc.h.

## setMode() [2/2]

auto cudnn_frontend::PointWiseDescBuilder_v8::setMode | ( | cudnnNanPropagation_t | nan_mode_ | ) | -> PointWiseDescBuilder_v8 &

inline

Set NaN propagation mode.

Definition at line 180 of file cudnn_frontend_PointWiseDesc.h.